{
    "path": "$OET_PATH/testcases/function_test/pkg_test/cifs-utils/cifs-utils",
    "machine num": 1,
    "cases": [
        {
            "name": "test_cifs-utils_smbinfo_fileaccessinfo",
            "desc": "测试smbinfo命令的fileaccessinfo子命令，用于打印cifs文件的FileAccessInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_filealigninfo",
            "desc": "测试smbinfo命令的filealigninfo子命令，用于打印cifs文件的FileAlignInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_fileallinfo",
            "desc": "测试smbinfo命令的fileallinfo子命令，用于打印cifs文件的FileAllInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_filebasicinfo",
            "desc": "测试smbinfo命令的filebasicinfo子命令，用于打印cifs文件的FileBasicInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_fileeainfo",
            "desc": "测试smbinfo命令的fileeainfo子命令，用于打印cifs文件的FileEAInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_filefsfullsizeinfo",
            "desc": "测试smbinfo命令的filefsfullsizeinfo子命令，用于打印cifs文件的FileFsFullSizeInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_fileinternalinfo",
            "desc": "测试smbinfo命令的fileinternalinfo子命令，用于打印cifs文件的FileInternalInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_filemodeinfo",
            "desc": "测试smbinfo命令的filemodeinfo子命令，用于打印cifs文件的FileModeInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_filepositioninfo",
            "desc": "测试smbinfo命令的filepositioninfo子命令，用于打印cifs文件的FilePositionInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_filestandardinfo",
            "desc": "测试smbinfo命令的filestandardinfo子命令，用于打印cifs文件的FileStandardInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_filestreaminfo",
            "desc": "测试smbinfo命令的filestreaminfo子命令，用于打印cifs文件的FileStreamInfo信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_fsctl-getobjid",
            "desc": "测试smbinfo命令的fsctl-getobjid子命令，用于打印文件的objectid和底层卷的GUID"
        },
        {
            "name": "test_cifs-utils_smbinfo_getcompression",
            "desc": "测试smbinfo命令的getcompression子命令，用于获取文件的压缩设置情况。"
        },
        {
            "name": "test_cifs-utils_function_install",
            "desc": "测试 cifs-utils 软件包的安装功能"
        },
        {
            "name": "test_cifs-utils_function_uninstall",
            "desc": "测试 cifs-utils 软件包的卸载功能"
        },
        {
            "name": "test_cifs-utils_function_umount",
            "desc": "测试 cifs 文件系统的卸载功能"
        },
        {
            "name": "test_cifs-utils_function_auth",
            "desc": "测试 cifs 认证功能"
        },
        {
            "name": "test_cifs-utils_cifscreds_clear__u",
            "desc": "测试cifscreds clear -u username参数功能，清除指定用户及域或主机的凭据"
        },
        {
            "name": "test_cifs-utils_cifscreds_clearall",
            "desc": "测试cifscreds clearall命令功能，清除所有缓存的凭据"
        },
        {
            "name": "test_cifs-utils_getcifsacl_v",
            "desc": "使用-v选项运行getcifsacl命令，检查能否正确显示程序版本信息"
        },
        {
            "name": "test_cifs-utils_getcifsacl_upper_r",
            "desc": "使用-R（大写）选项运行getcifsacl命令，检查能否递归显示子目录的安全描述符"
        },
        {
            "name": "test_cifs-utils_getcifsacl_upper_r_mulit_dir",
            "desc": "同时使用-R选项和多个目录路径运行getcifsacl命令，检查能否递归显示多个目录及其子目录的安全描述符"
        },
        {
            "name": "test_cifs-utils_setcifsacl__v",
            "desc": "测试setcifsacl命令的-v参数，获取程序版本信息"
        },
        {
            "name": "test_cifs-utils_smb2-quota_display-quota",
            "desc": "测试查看指定挂载点上的配额信息"
        },
        {
            "name": "test_cifs-utils_smbinfo_h",
            "desc": "测试smbinfo命令的-h参数，查看帮助信息。"
        },
        {
            "name": "test_cifs-utils_smbinfo_fsctl_getobjid",
            "desc": "测试smbinfo子命令fsctl-getobjid，获取文件的objectid和底层卷的GUID。"
        },
        {
            "name": "test_cifs-utils_smbinfo_quota",
            "desc": "测试smbinfo子命令quota，获取文件的配额信息。"
        },
        {
            "name": "test_cifs-utils_smbinfo_secdesc",
            "desc": "测试smbinfo子命令secdesc，获取文件的安全描述符信息。"
        },
        {
            "name": "test_cifs-utils_function_mount_cifs",
            "desc": "测试使用mount工具挂载CIFS共享"
        },
        {
            "name": "test_cifs-utils_function_basic_cp",
            "desc": "测试在CIFS挂载点复制文件"
        },
        {
            "name": "test_cifs-utils_function_cifscreds_add",
            "desc": "测试cifscreds基本添加凭据功能"
        },
        {
            "name": "test_cifs-utils_function_cifscreds",
            "desc": "测试凭据管理基础功能"
        },
        {
            "name": "test_cifs-utils_cifscreds_update__u",
            "desc": "测试cifscreds update -u命令，使用指定用户名更新主机或域的凭据"
        },
        {
            "name": "test_cifs-utils_getcifsacl_h",
            "desc": "测试 getcifsacl 命令的 -h 帮助选项"
        },
        {
            "name": "test_cifs-utils_setcifsacl__upper_d",
            "desc": "测试setcifsacl命令的-D选项，用于从DACL删除ACE"
        },
        {
            "name": "test_cifs-utils_smbinfo_list-snapshots",
            "desc": "测试smbinfo命令的list-snapshots子命令，列出支持此文件的卷的先前版本"
        },
        {
            "name": "test_cifs-utils_function_smbinfo",
            "desc": "测试smbinfo获取文件信息功能"
        }
    ]
}